Name:    vloopback
Version: 1.1.5
Release: %mkrel 1

Summary: Vloopback is a video4linux driver providing video pipes.
License: GPLv2
Group:   System/Kernel and hardware
Source:   %{name}-%{version}.tar.gz
Source1:  webcamstudio-x-install-vloopback
URL:     http://sourceforge.net/projects/webcamstudio/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch


%description
This is a modfied version of the vloopback driver from
Jeroen Vreeken et al.
Modifications consist in:
1) You can choose minor numbers of input and output devices
2) Write is made block when nobody is reading the other
end of the pipe.

-Olivier Debon	(olivier@debon.net)

------------------------------------------------------
With the driver you can use the output of a user program to feed a program that
would normally communicate with a video4linux device.To achieve this a video pipe 
consists out of two video4linux devices:one for the generating program to write its 
data to and one for a normal video4linux program to read from. At the moment there 
are only few programs that can feed the input of the pipe: invert and resize, 
the example programs with the driver and motion, my motion detection program.

%prep

%setup -q -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}/%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}/%{_bindir}

install -dm 755 %{buildroot}/%{_datadir}/webcamstudio/%{name}
install -m 755 Makefile *.c *.order %{buildroot}/%{_datadir}/webcamstudio/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc README COPYING
%{_bindir}/*
%{_datadir}/webcamstudio/%{name}

%changelog
* Wed Mar 25 2009 slick50 <lxgator@gmail.com> 1.1.5-1pclos2007
- initial pkg

